Create Group
curl --request POST \
--url https://api.sellauth.com/v1/shops/{shopId}/groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "culpa",
"visibility": "unlisted",
"products": [
"culpa"
],
"category_id": null,
"image_id": null,
"badge_color": null,
"badge_text": null,
"metadata": "asyzwszwtxpeqqi",
"apply_category_to_products": true
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/groups"
payload = {
"name": "culpa",
"visibility": "unlisted",
"products": ["culpa"],
"category_id": None,
"image_id": None,
"badge_color": None,
"badge_text": None,
"metadata": "asyzwszwtxpeqqi",
"apply_category_to_products": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'culpa',
visibility: 'unlisted',
products: ['culpa'],
category_id: null,
image_id: null,
badge_color: null,
badge_text: null,
metadata: 'asyzwszwtxpeqqi',
apply_category_to_products: true
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Groups
Create Group
Creates a new group.
POST
/
v1
/
shops
/
{shopId}
/
groups
Create Group
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
The shop ID.
Body
application/json
Example:
"culpa"
Available options:
public, unlisted, private Example:
"unlisted"
Example:
["culpa"]
Example:
null
Example:
null
Example:
null
Example:
null
Must not be greater than 65535 characters.
Example:
"asyzwszwtxpeqqi"
Example:
true
Response
200 - undefined